cURL
curl -X POST https://api.bizmori.com/api/v2/orders/wtr-embed \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"idempotencyKey": "5e9c7a3b-b4d2-4f18-83e6-8b1a2d5f7c93",
"files": [
{
"fileName": "image.jpg",
"watermarks": [{"text": "MORI_WATERMARK"}]
}
]
}'const response = await fetch('https://api.bizmori.com/api/v2/orders/wtr-embed', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
idempotencyKey: '5e9c7a3b-b4d2-4f18-83e6-8b1a2d5f7c93',
files: [
{
fileName: 'image.jpg',
watermarks: [{ text: 'MORI_WATERMARK' }]
}
]
})
});
const data = await response.json();import requests
response = requests.post(
'https://api.bizmori.com/api/v2/orders/wtr-embed',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
json={
'idempotencyKey': '5e9c7a3b-b4d2-4f18-83e6-8b1a2d5f7c93',
'files': [
{
'fileName': 'image.jpg',
'watermarks': [{'text': 'MORI_WATERMARK'}]
}
]
}
)
data = response.json()
{
"data": {
"orderName": "wtr_embed_20260318120000.000",
"orderId": "424706541233094656",
"status": "pending",
"files": [
{
"fileId": 2469,
"fileName": "image.jpg",
"uploadUrl": "https://s3.ap-northeast-2.amazonaws.com/...?X-Amz-Algorithm=AWS4-HMAC-SHA256&...",
"fileKey": "wtr-embed/424706541233094656/images/1/image.jpg",
"fileFormat": "JPG",
"fileType": "IMG"
},
{
"fileId": 2470,
"fileName": "document.pdf",
"uploadUrl": "https://s3.ap-northeast-2.amazonaws.com/...?X-Amz-Algorithm=AWS4-HMAC-SHA256&...",
"fileKey": "wtr-embed/424706541233094656/documents/2/document.pdf",
"fileFormat": "PDF",
"fileType": "DOCUMENT"
}
]
}
}Watermark-Embed
watermark 埋め込み注文を作成
watermark 埋め込み注文を作成します。
- 画像1枚あたり最大10個の watermark テキスト
- 注文あたり最大100ファイル
- 対応画像形式(IMG): jpg, jpeg, png, webp, bmp, tiff
- 対応文書形式(DOCUMENT): pdf
入力モード(アップロード / URL / 混合)
入力モードは、各ファイルオブジェクトに originalFileUrl が含まれるかどうかで決定されます:
- アップロードモード(
originalFileUrlなし): プリサインドURLを発行 → クライアントがS3にアップロード → 処理が自動的に開始 - URLモード(
originalFileUrlを指定): URLから画像をダウンロードして即座に処理 - 混合モード: 一部のファイルはアップロードモード、残りはURLモードで同時に処理
動作
| 条件 | 注文ステータス | Confirmの必要性 |
|---|---|---|
すべてのファイルに originalFileUrl がある | pending | 不要(サーバーのダウンロード完了後に自動開始) |
originalFileUrl がないファイルが含まれる | pending | 不要(アップロード完了後に自動開始) |
Anti-AIやAI Detectionと異なり、Watermark Embedでは別途confirmステップは不要です。ファイルアップロードが完了すると処理が自動的に開始されます。
POST
/
api
/
v2
/
orders
/
wtr-embed
cURL
curl -X POST https://api.bizmori.com/api/v2/orders/wtr-embed \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"idempotencyKey": "5e9c7a3b-b4d2-4f18-83e6-8b1a2d5f7c93",
"files": [
{
"fileName": "image.jpg",
"watermarks": [{"text": "MORI_WATERMARK"}]
}
]
}'const response = await fetch('https://api.bizmori.com/api/v2/orders/wtr-embed', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
idempotencyKey: '5e9c7a3b-b4d2-4f18-83e6-8b1a2d5f7c93',
files: [
{
fileName: 'image.jpg',
watermarks: [{ text: 'MORI_WATERMARK' }]
}
]
})
});
const data = await response.json();import requests
response = requests.post(
'https://api.bizmori.com/api/v2/orders/wtr-embed',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
json={
'idempotencyKey': '5e9c7a3b-b4d2-4f18-83e6-8b1a2d5f7c93',
'files': [
{
'fileName': 'image.jpg',
'watermarks': [{'text': 'MORI_WATERMARK'}]
}
]
}
)
data = response.json()
{
"data": {
"orderName": "wtr_embed_20260318120000.000",
"orderId": "424706541233094656",
"status": "pending",
"files": [
{
"fileId": 2469,
"fileName": "image.jpg",
"uploadUrl": "https://s3.ap-northeast-2.amazonaws.com/...?X-Amz-Algorithm=AWS4-HMAC-SHA256&...",
"fileKey": "wtr-embed/424706541233094656/images/1/image.jpg",
"fileFormat": "JPG",
"fileType": "IMG"
},
{
"fileId": 2470,
"fileName": "document.pdf",
"uploadUrl": "https://s3.ap-northeast-2.amazonaws.com/...?X-Amz-Algorithm=AWS4-HMAC-SHA256&...",
"fileKey": "wtr-embed/424706541233094656/documents/2/document.pdf",
"fileFormat": "PDF",
"fileType": "DOCUMENT"
}
]
}
}承認
外部クライアントアクセス用のBearer APIキー。本番キーは sk_ プレフィックスを使用し、テストキーは sk_test_ プレフィックスを使用して、処理やクレジット消費なしに注文ライフサイクルを検証します。
ボディ
application/json
冪等性キー
Required array length:
1 - 100 elementsHide child attributes
Hide child attributes
ファイル名
例:
"image.jpg"
元画像URL(任意)
- 指定した場合: URLモード(プリサインドURLは発行されず、即座に処理)
- 指定しない場合: アップロードモード(プリサインドURLを発行)
例:
"https://example.com/image.jpg"
レスポンス
注文が正常に作成されました
Hide child attributes
Hide child attributes
注文ステータス
pending: 入力モードに関わらず常に返却
利用可能なオプション:
pending Hide child attributes
Hide child attributes
プリサインドアップロードURL。アップロードモードでのみ返却されます。
リクエストで指定された公開画像URL。URLモードでのみ返却されます。
ファイルのS3オブジェクトキー。
ファイル形式。
利用可能なオプション:
JPG, PNG, WEBP, BMP, TIFF, PDF ファイルタイプの分類。
利用可能なオプション:
IMG, DOCUMENT ⌘I